Subject: bug#68559: [PATCH] Improve Python shell completion

From: Mattias Engdegård <[email-masked]>
Date: Thu, 15 Feb 2024 18:21:13 +0100

15 feb. 2024 kl. 17.48 skrev Eli Zaretskii <[email-masked]>:

> The python-*-completion-at-point-* tests never worked for me, and I
> always assumed it was something specific to MS-Windows.  But maybe
> not.  There was no change in the tests that fail for me before and
> after the recent changes related to Python.

Right, I don't think the Windows port is obscure enough to deserve test failures either; it's an unnecessary impediment. If it cannot easily be fixed then it's better to mark them to be skipped on Windows so that you don't see it every time you run 'make check'.

Completion in the Python shell worked on macOS before the change but now pressing TAB causes the process to hang, so something was clearly broken by the patch.

> all the Python tests that failed for you still pass, with the current
> master.  So I wonder what is it that causes those failures on your
> system.

The standard Python installation on macOS uses a libedit-based readline module and the patch author probably didn't test the changes with that configuration.